package com.tmax.openframe.file;

import lombok.*;
import java.math.*;
import java.util.*;
import ch.obermuhlner.math.big.BigDecimalMath;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Getter
public enum FileStatus {
    NORMAL("0", "0"),
    INDEXED_NORMAL("0", "2"),
    AT_END_CONDITION_INDEXED("1", "0"),
    AT_END_CONDITION_SEQUENCED("1", "4"),
    INVALID_KEY_CREATE("2", "2"),
    INVALID_KEY_READ("2", "3"),
    ALREADY_AT_END_CONDITION("4", "6");
    String level;
    String code;
    String value;

    FileStatus(String level, String code) {
        this.level = level;
        this.code = code;
        this.value = this.level + this.code;
    }
}
